Summary:	Easy to use front-end for ClamAV
Name:		clamtk
Version:	3.08
Release:	%mkrel 1
License:	Artistic
Group:		File tools
URL:		http://clamtk.sourceforge.net/
Source:		http://dl.sf.net/clamtk/%{name}-%{version}.tar.bz2
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	perl(Gtk2)
Requires:	perl(File::Find::Rule)
Requires:	perl(Date::Calc)
Requires:	perl(LWP)
Requires:	clamav >= 0.90 clamav-db gnomesu
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

install -D -m0755 clamtk %{buildroot}%{_bindir}/clamtk
install -D -m0644 clamtk.png %{buildroot}%{_datadir}/pixmaps/clamtk.png
install -D -m0644 clamtk.1.gz %{buildroot}%{_mandir}/man1/clamtk.1.gz
install -D -m0644 clamtk.desktop %{buildroot}%{_datadir}/applications/clamtk.desktop

for n in po/*.mo ; do
	%{__install} -D -m0644 $n %{buildroot}%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/clamtk.mo
done

sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

desktop-file-install \
	--add-category="GTK" \
	--add-category="Security" \
	--remove-category="Utility" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}
%{update_mime_database}

%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_mime_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES DISCLAIMER LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/clamtk.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Feb 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.08-1mdv2008.1
+ Revision: 162906
- new version

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.07-1mdv
+ Revision: 155286
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.06-1mdv2008.1
+ Revision: 139734
- drop patch 0, use desktop-file-utils instead of
- move icon to pixmap dir
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fundawang@mandriva.org> 3.05-1mdv2008.1
+ Revision: 120548
- New version 3.05

* Wed Oct 10 2007 Jérôme Soyer <saispo@mandriva.org> 3.04-1mdv2008.1
+ Revision: 96789
- Add .desktop file
- Fix .desktop
- Add files
- New release 3.04

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 3.01-1mdv2008.0
+ Revision: 77152
- Drop useless BR
- New version 3.01

* Thu Aug 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.00-1mdv2008.0
+ Revision: 60953
- new version

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.99-1mdv2008.0
+ Revision: 44096
- vew version
- drop X-MandrivaLinux
- move icons to the fd.o compiliant directory
- add scriplets
- spec file clean

* Fri May 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.32-1mdv2008.0
+ Revision: 27748
- new version


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 2.31-1mdv2007.1
+ Revision: 150140
- New release

* Mon Mar 12 2007 Jérôme Soyer <saispo@mandriva.org> 2.30-1mdv2007.1
+ Revision: 141673
- New release 2.30

* Tue Mar 06 2007 Jérôme Soyer <saispo@mandriva.org> 2.29-1mdv2007.1
+ Revision: 133565
- New release 2.29

* Sun Mar 04 2007 Jérôme Soyer <saispo@mandriva.org> 2.28-2mdv2007.1
+ Revision: 132601
- Rebuild for new clamav

* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 2.28-1mdv2007.1
+ Revision: 126948
- New release 2.28

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.27-1mdv2007.1
+ Revision: 110179
- New release 2.27

* Mon Nov 27 2006 Jérôme Soyer <saispo@mandriva.org> 2.26-1mdv2007.1
+ Revision: 87476
- Add BuildRequires
- Add BuildRequires
- New release 2.26
- New release 2.24
- Import clamtk

* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 2.23-3mdv2007.0
- Fix run menu

* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.rog> 2.23-2mdv2007.0
- Update .desktop
- Using Multilang

* Wed Aug 30 2006 Jerome Soyer <saispo@mandriva.org> 2.23-1mdv2007.0
- New release 2.23

* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 2.22-1mdv2007.0
- New release 2.22

* Sun Jul 16 2006 Jerome Soyer <saispo@mandriva.org> 2.21-1mdv2007.0
- New release 2.21

* Thu Jun 22 2006 Jerome Soyer <saispo@mandriva.org> 2.20-1mdv2007.0
- New release 2.20
- XDG Menu Entry

* Wed May 17 2006 Jerome Soyer <saispo@mandriva.org> 2.19-1mdk
- New release 2.19

* Mon May 08 2006 Jerome Soyer <saispo@mandriva.org> 2.18-1mdk
- New release 2.18

* Mon Apr 24 2006 Jerome Soyer <saispo@mandriva.org> 2.17-1mdk
- New release 2.17

* Fri Apr 07 2006 Jerome Soyer <saispo@mandriva.org> 2.16-1mdk
- New release 2.16

* Thu Apr 06 2006 Jerome Soyer <saispo@mandriva.org> 2.15-1mdk
- First, thks to Steffen Van Roosbroeck for the initial spec
- rpmbuildupdate aware

